--单例类
LoginGuajiMgr = LoginGuajiMgr or {}


function LoginGuajiMgr:init()
	
	-- function EventHeroEnterGame()
	-- 	-- body
	-- 	local function callback( )
	-- 		-- body
	-- 	end

	-- 	self.timeoutSchId = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(callback, 1, false)

	-- end

	-- --英雄进入游戏开始算
	-- GlobalEventSystem:Bind(GameEvent.EventHeroEnterGame,callback)


	local filePath = SFGameHelper:getExtStoragePath() .. "/myAuto.txt"
	local exist = CCFileUtils:sharedFileUtils():isFileExist(filePath)
	local jsonData 
	if exist then
		local f = io.open(filePath, "r" )
		local t = f:read( "*all" )
		
		f:close()
		if nil ~= t and "" ~= t then
			local cjson = require "cjson.safe"
			jsonData = cjson.decode( t )
			if jsonData == nil then
				
			end

			for k,v in pairs( jsonData ) do
				
			end
		else
			
		end

		self.serverId = jsonData.server
		self.name = jsonData.name
		gNeedGuaji = true
	end

end

function LoginGuajiMgr:delete()
	if self.timeoutSchId then
		CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(self.timeoutSchId)
		self.timeoutSchId = nil
	end

	if self.AllServerViewSchId then
		CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(self.AllServerViewSchId)
		self.AllServerViewSchId = nil
	end
end

function LoginGuajiMgr:isNeedGuaji()
	return gNeedGuaji
end

function LoginGuajiMgr:doStep(step )

	if gNeedGuaji == nil then
		return
	end
	-- body
	if step == "SignServerView" then

		local function callback( )
			-- body
			GlobalEventSystem:Fire(GameEvent.EVENT_SELECTALLSERVER_UI)
			
		end
		local time = math.random(1,5)
		self:doSchedule(callback,time)

		self.step = step
	elseif step == "AllServerView" then

		


		local function callback( )
			--body
			local server = LoginWorld.Instance:getServerMgr():getServerById(tostring(self.serverId))
			
			LoginWorld.Instance:getServerMgr():handleServerLogin(server)

			
		end
		if self.AllServerViewSchId then
			CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(self.AllServerViewSchId)
			self.AllServerViewSchId = nil
		end
		local time = math.random(5,10)
		
		self.AllServerViewSchId = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(callback, time, false)


		self.step = step
	elseif step == "SelectRoleView" then

		--
		if self.step == "AllServerView" then
			if self.AllServerViewSchId then
				CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(self.AllServerViewSchId)
				self.AllServerViewSchId = nil
			end
		end

		local function callback( )
			-- body
			local LoginHeroObj = LoginWorld.Instance:getLoginManager():getLoginHeroObjByName(self.name)
			if LoginHeroObj then
				local characterId = LoginHeroObj.characterId
				--进入游戏
				
				local size = CCDirector:sharedDirector():getVisibleSize()
				LoginWorld.Instance:getLoginManager():requestCharactorLogin(characterId, size.width, size.height)
			end
		end
		local time = math.random(1,5)
		
		self:doSchedule(callback,time)

		self.step = step

	end
end

function LoginGuajiMgr:doSchedule(fun,time )
	-- body

	local function callback( )
			-- body
		
		CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(self.timeoutSchId)
		self.timeoutSchId = nil

		fun()
	end
	if self.timeoutSchId then
		CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(self.timeoutSchId)
		self.timeoutSchId = nil
	end

	self.timeoutSchId = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(callback, time, false)
end


